Display full version of the post: Copy Multiple Objects??

Enterdevo
07.01.2010, 21:56
I'm not asking about Copy Multiple! Picture this: I'm recreating a hard copy of a drawing with many gridlines. They are all different lengths between. Is there a way to copy the first gridline once, then type in the dimension between without having to press Copy, highlight the object again, Enter, type in the dimension. I'm thinking sort of like "Continuous Dimension" but with copy? Like a continuous copy....it starts again AFTER the line I just made... Array can work, but I have different dims between. Its just a pain in the ass! I can do the math and just add the numbers between the gridlines, but when working in metric its hard! I pretty much just want to press Enter then type in the dim and it continues to copy after the last gridline....Does this make sense? lol

CarlB
07.01.2010, 23:22
You can copy in the "multiple" mode, and enter just a distance for the "copy to" point and it copys in direction of the cursor.  So if doing orthogonal copying/offsets, turn ortho mode on (F8). But you'd still need to add up distances since you enter distance from first object.  (Adding metric should be easier than imperial). :)
 
**EDIT**
 
OK you probably knew this since you said "not copy multiple".
So here's a short lisp to allow you to just enter offset distances in the copy multiple mode, and will be copy in direction of initial cursor. If not experienced with lisp, just copy/paste the below  to the command line, start with "cm".
 
(defun c:cm ()(setq totdist 0)(setq c_set (ssget))(command "._copy" "p" "" "_M" pause)(while (setq offset (getreal "offset: "))  (setq totdist (+ totdist offset))  (command totdist))(command ""))
 
 CarlB2010-01-07 23:41:10